Package net.commoble.jumbofurnace.jumbo_furnace

# Class MultiprocessUpgradeHandler.MultiprocessUpgradeSlotHandler

java.lang.Object
net.minecraft.world.inventory.Slot
net.neoforged.neoforge.items.SlotItemHandler
net.commoble.jumbofurnace.jumbo_furnace.MultiprocessUpgradeHandler.MultiprocessUpgradeSlotHandler

Enclosing class:
  `MultiprocessUpgradeHandler`

public static class MultiprocessUpgradeHandler.MultiprocessUpgradeSlotHandler extends net.neoforged.neoforge.items.SlotItemHandler

## Field Summary

### Fields inherited from class net.neoforged.neoforge.items.SlotItemHandler

`index`

### Fields inherited from class net.minecraft.world.inventory.Slot

`container, x, y`

## Constructor Summary

Constructors
Constructor
Description
`MultiprocessUpgradeSlotHandler(net.neoforged.neoforge.items.IItemHandler itemHandler, int index, int xPosition, int yPosition)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`mayPlace(net.minecraft.world.item.ItemStack stack)`

### Methods inherited from class net.neoforged.neoforge.items.SlotItemHandler

`getItem, getItemHandler, getMaxStackSize, getMaxStackSize, initialize, mayPickup, onQuickCraft, remove, set`

### Methods inherited from class net.minecraft.world.inventory.Slot

`allowModification, checkTakeAchievements, getContainerSlot, getNoItemIcon, getSlotIndex, hasItem, isActive, isFake, isHighlightable, isSameInventory, onQuickCraft, onSwapCraft, onTake, safeInsert, safeInsert, safeTake, setBackground, setByPlayer, setByPlayer, setChanged, tryRemove`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MultiprocessUpgradeSlotHandler

public MultiprocessUpgradeSlotHandler(net.neoforged.neoforge.items.IItemHandler itemHandler, int index, int xPosition, int yPosition)

## Method Details

### mayPlace

public boolean mayPlace(net.minecraft.world.item.ItemStack stack)

Overrides:
  `mayPlace` in class `net.neoforged.neoforge.items.SlotItemHandler`